use comfy::*;

use crate::{
	activities::{house, overworld, Activity},
	State
};

#[derive(Debug)]
pub struct Gost {
	/// current electric charge of the Ghost
	charge: u32,
	/// max electric charge of the Ghost
	max_charge: u32,
}

impl Default for Gost {
	fn default() -> Self {
		Self { charge: 100, max_charge: 100 }
	}
}

pub fn update(state: &mut State, engine: &mut EngineContext) {
	match state.activity {
		Activity::House => house::update(state, engine),
		Activity::Overworld => overworld::update(state, engine)
	}
}

pub fn draw(state: &State, engine: &EngineContext) {
	match state.activity {
		Activity::House => house::draw(state, engine),
		Activity::Overworld => overworld::draw(state, engine)
	}
	crate::ui::draw(state, engine);
}
